Bug 58999 - [MAINTAINER UPDATE] databases/firebird: security fix - update to 1.5rc6
Summary: [MAINTAINER UPDATE] databases/firebird: security fix - update to 1.5rc6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-06 11:10 UTC by Chris Knight
Modified: 2003-12-04 17:46 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (25.25 KB, patch)
2003-11-06 11:10 UTC, Chris Knight
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Knight 2003-11-06 11:10:11 UTC
Fix security issue with 1.0.2 by upgrading to 1.5 RC6. (RC7 due this weekend,
with 1.5 release two weeks after this, supposedly)
Take back maintainership.
There are some rough edges I need to tidy up - specifically pkg-plist.
Any feedback on changes to be made to the port would be greatly appreciated.

How-To-Repeat: N/A
Comment 1 Chris Knight 2003-11-11 00:43:09 UTC
Howdy,

There are a couple of build issues with the diff I submitted.
These have been resolved with the 1.5RC7 build. Rather than submit yet
another large diff, I've made the port tarball available at
http://www.aims.net.au/chris/firebird/firebird-1.5rc7.tar.gz.

Regards,
Chris Knight
Systems Administrator
E-Easy
Tel: +61 3 6334 9995  Fax: +61 3 6331 7032  Mob: +61 419 528 795
Web: http://www.e-easy.com.au
Comment 2 Chris Knight 2003-11-11 00:43:09 UTC
Howdy,

There are a couple of build issues with the diff I submitted.
These have been resolved with the 1.5RC7 build. Rather than submit yet
another large diff, I've made the port tarball available at
http://www.aims.net.au/chris/firebird/firebird-1.5rc7.tar.gz.

Regards,
Chris Knight
Systems Administrator
E-Easy
Tel: +61 3 6334 9995  Fax: +61 3 6331 7032  Mob: +61 419 528 795
Web: http://www.e-easy.com.au
Comment 3 Chris Knight 2003-11-11 12:07:37 UTC
Howdy,

Nothing like local patches to fubar things :-(
Currently, the port only builds on -current. I'm in the process of =
fixing it
for 4.x.

Regards,
Chris Knight
Systems Administrator
E-Easy
Tel: +61 3 6334 9995  Fax: +61 3 6331 7032  Mob: +61 419 528 795
Web: http://www.e-easy.com.au
Comment 4 Alexander Leidinger freebsd_committer 2003-12-04 17:45:59 UTC
State Changed
From-To: open->closed

Committed. Thanks.